# This spec file was generated using Kpp
# If you find any problems with this spec file please report
# the error to ian geiser <geiseri@msoe.edu>
Summary:   A KDE application to configure TCP/IP settings.
Name:      knetworkconf
Version:   0.4.1
Release:   1
Copyright: GPL
Vendor:    Merlinux
Url:       http://www.merlinux.org/knetworkconf/
Icon:     knetworkconf.xpm
Packager:  Juan Luis Baptiste <juancho@linuxmail.org>
Group:     Configuration/Networking
Source:    knetworkconf-0.4.1.tar.gz
BuildRoot: /home/juancho/rpm/tmp/knetworkconf-buildroot

%description
A KDE application to configure TCP/IP settings under GNU/Linux.

%prep
%setup
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
                --prefix=/usr \
                $LOCALFLAGS
%build
# Setup for parallel builds
numprocs=`egrep -c ^cpu[0-9]+ /proc/stat || :`
if [ "$numprocs" = "0" ]; then
  numprocs=1
fi

make -j$numprocs

%install
make install-strip DESTDIR=$RPM_BUILD_ROOT

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > $RPM_BUILD_DIR/file.list.knetworkconf
find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.knetworkconf
find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.knetworkconf

%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/knetworkconf
rm -rf ../file.list.knetworkconf


%files -f ../file.list.knetworkconf
